Bug 60838 - rpm upgrade for php-4.0.6-12.i386.rpm fails
rpm upgrade for php-4.0.6-12.i386.rpm fails
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: php (Show other bugs)
7.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Copeland
David Lawrence
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-07 15:00 EST by Darren Gamble
Modified: 2007-04-18 12:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-22 10:49:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Darren Gamble 2002-03-07 15:00:08 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

Description of problem:
Upgrading PHP to the newest version fails with rpm.  rpm reports errors and 
then hangs.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Download Red Hat rpms and attempt to install them.

	

Actual Results:  rpm reports errors and hangs.  a Ctrl-C stops the process.

Expected Results:  rpm should have installed the packages.

Additional info:

Here's some information about what php packages are installed, along with the 
output of rpm before it hangs.

Presently the system is vulnerable to the pre- 4.0.6-12 PHP exploit, as the 
upgrade fails.

# rpm -qa | grep php
php-ldap-4.0.6-7
php-pgsql-4.0.6-7
php-mysql-4.0.6-7
asp2php-0.75.17-1
asp2php-gtk-0.75.17-1
php-imap-4.0.6-7
php-odbc-4.0.6-7
php-4.0.6-7

# rpm -U php-4.0.6-12.i386.rpm php-imap-4.0.6-12.i386.htm php-ldap-4.0.6-
12.i386.rpm php-pgsql-4.0.6-12.i386.rpm php-mysql-4.0.6-12.i386.rpm php-odbc-
4.0.6-12.i386.rpm 
error: open of <!DOCTYPE failed: No such file or directory
error: open of HTML failed: No such file or directory
error: open of PUBLIC failed: No such file or directory

^C
#
Comment 1 Darren Gamble 2002-03-22 10:49:21 EST
Release 15 (4.0.6-15), just released, installs fine.

Whenever someone gets around to editing this ticket, it can probably be changed 
to "CLOSED - ERRATA".

Note You need to log in before you can comment on or make changes to this bug.